> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# update stock from skuCode



## OpenAPI

````yaml https://integration.teceo.co/aos patch /v1/stock/sync/{skuCode}
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/stock/sync/{skuCode}:
    patch:
      tags:
        - 'Stock:'
      summary: update stock from skuCode
      operationId: StockController_updateSkuStock_v1
      parameters:
        - name: skuCode
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSkuStockDTO'
      responses:
        '200':
          description: update stock from skuCode
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageResponseDTO'
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
        '404':
          description: >-
            client error response code indicates that the server can't find the
            requested resource
      security:
        - ApiKey: []
components:
  schemas:
    UpdateSkuStockDTO:
      type: object
      properties:
        totalAmount:
          type: number
          nullable: true
          minimum: 0
        availabilityStartDate:
          format: date-time
          type: string
          nullable: true
        availabilityEndDate:
          format: date-time
          type: string
          nullable: true
        availability:
          type: boolean
          nullable: true
      required:
        - totalAmount
        - availabilityStartDate
        - availabilityEndDate
        - availability
    MessageResponseDTO:
      type: object
      properties:
        message:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
      required:
        - message
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````